run:
  timeout: 5m
  modules-download-mode: readonly
  skip-dirs:
    - tools/*

linters-settings:
  gofmt:
    simplify: true
  goimports:
    local-prefixes: gitlab.com/digilab.overheid.nl/ecosystem/mattermost-reservation
  govet:
    # check-shadowing: true
    enable-all: true
    disable:
      - fieldalignment
      - shadow
  misspell:
    locale: US
    ignore-words:
      - Harbour

linters:
  disable-all: true
  enable:
    - bodyclose
    - errcheck
    - gocritic
    - gofmt
    - goimports
    - gosec
    - gosimple
    - govet
    - ineffassign
    - misspell
    - nakedret
    - revive
    - staticcheck
    - stylecheck
    - typecheck
    - unconvert
    - unused
    - whitespace

issues:
  exclude-rules:
    - path: server/configuration.go
      linters:
        - unused
    - path: _test\.go
      linters:
        - bodyclose
        - scopelint # https://github.com/kyoh86/scopelint/issues/4
